import React from 'react';

const FAQ: React.FC = () => {
  return (
    <section id="faq">
      <h2>Frequently Asked Questions</h2>

      <div className="faq-item">
        <h3>What is this AI assistant for?</h3>
        <p>This AI assistant helps you with various tasks such as answering questions, generating text, and even helping with code or writing tasks.</p>
      </div>

      <div className="faq-item">
        <h3>How does the AI assistant work?</h3>
        <p>The assistant uses machine learning algorithms to understand your input and provide contextually relevant answers or generate content based on the task you've described.</p>
      </div>

      <div className="faq-item">
        <h3>Can I trust the answers given by the AI assistant?</h3>
        <p>While the AI strives to give accurate and helpful answers, it is important to verify critical information, especially for complex or sensitive queries.</p>
      </div>

      <div className="faq-item">
        <h3>What kind of questions can I ask?</h3>
        <p>You can ask a wide range of questions from simple factual queries to more complex requests like generating creative writing or code snippets.</p>
      </div>

      <div className="faq-item">
        <h3>Is my data secure when using the AI assistant?</h3>
        <p>We take privacy seriously. Your data is handled according to our privacy policy, ensuring that any personal information shared is securely processed and not misused.</p>
      </div>

      <div className="faq-item">
        <h3>How can I provide feedback about the AI assistant?</h3>
        <p>Feedback can be provided through our feedback form, available on our website. We appreciate your input and use it to improve the AI assistant's performance.</p>
      </div>

      <div className="faq-item">
        <h3>Can I customize the AI assistant's responses?</h3>
        <p>Customization options are limited in the current version, but we are working on features that will allow users to tailor responses to better suit their needs.</p>
      </div>

      <div className="faq-item">
        <h3>How frequently is the AI assistant updated?</h3>
        <p>The AI assistant is updated regularly to improve its functionality and incorporate new features. Stay tuned to our update logs for information on the latest improvements.</p>
      </div>

      <div className="faq-item">
        <h3>What should I do if the AI assistant is not working properly?</h3>
        <p>If you encounter any issues with the AI assistant, please contact our support team for assistance. Provide details about the problem to help us resolve it quickly.</p>
      </div>

      <div className="faq-item">
        <h3>Will the AI assistant be available in multiple languages?</h3>
        <p>Yes, the AI assistant is designed to support multiple languages. You can specify your language preference in the settings to receive responses in your chosen language.</p>
      </div>

      <div className="faq-item">
        <h3>How can I integrate the AI assistant into my own application?</h3>
        <p>Integration guidelines are available in our developer documentation. Follow the instructions to incorporate the AI assistant into your application via our API.</p>
      </div>

      <div className="faq-item">
        <h3>Is there a mobile version of the AI assistant?</h3>
        <p>Currently, the AI assistant is optimized for desktop use. We are working on a mobile version to provide a seamless experience on smartphones and tablets.</p>
      </div>

      <div className="faq-item">
        <h3>Can the AI assistant handle multiple simultaneous conversations?</h3>
        <p>Yes, the AI assistant is capable of managing multiple conversations at once, ensuring that each interaction is handled efficiently.</p>
      </div>

      <div className="faq-item">
        <h3>What are the system requirements to use the AI assistant?</h3>
        <p>The AI assistant can be accessed through most modern web browsers. Ensure your browser is up-to-date for the best experience.</p>
      </div>
      
      <div className="faq-item">
        <h3>How can I access previous conversations?</h3>
        <p>Previous conversations can be accessed through the chat history feature available in the assistant's interface.</p>
      </div>

      <div className="faq-item">
        <h3>What are the limitations of the current AI assistant?</h3>
        <p>The AI assistant may have limitations in understanding highly specialized or nuanced topics. We are continuously working to expand its capabilities.</p>
      </div>

      <div className="faq-item">
        <h3>How do I update my profile or settings?</h3>
        <p>Profile and settings updates can be made through the account management section of the application. Ensure you save your changes before exiting.</p>
      </div>
      
      <div className="faq-item">
        <h3>Can the AI assistant be used offline?</h3>
        <p>Currently, the AI assistant requires an internet connection to function. Offline capabilities are being explored for future updates.</p>
      </div>
      
      <div className="faq-item">
        <h3>Who can I contact for technical support?</h3>
        <p>Technical support can be reached through our support contact page on the website. Our team is available to help with any technical issues you may encounter.</p>
      </div>

    </section>
  );
};

export default FAQ;
